Subject: Re: bug#74461: [PATCH] Add go-work-ts-mode
From: Stefan Kangas <[email-masked]>
To: Randy Taylor <[email-masked]>
Cc: [email-masked], Eli Zaretskii <[email-masked]>, Gabriel Santos <[email-masked]>, Stefan Monnier <[email-masked]>
Date: Tue, 11 Feb 2025 21:54:11 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 31.1

Randy Taylor <[email-masked]> writes:

> On Wednesday, January 1st, 2025 at 21:24, Gabriel Santos
> <[email-masked]> wrote:
>>
>>
>> Updated the patch to follow the suggestions made by Randy:
>>
>> - Rename go-mod-ts-mode--in-directive-p
>> - Add latest grammar versions of go-mod and go-work
>> - Removed the mention of the now defunct go-work-ts-mode--syntax-table
>> - Added back the syntax table for the regular Go tree-sitter mode
>>
>> --
>> Gabriel Santos
>
> Thanks, looks good to me.
>
> Eli, please install if you have no further comments. Thanks in
> advance.

The patch LGTM also, so I installed it on master as commit aade1b707c6.
Please note the changes I did to the commit message for any future
contributions.  Thanks Gabriel, for the patch.

I'm consequently closing this bug report.